System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.MarshalByValueComponent System.ComponentModel.IBindingList System.ComponentModel.ITypedList System.ComponentModel.Designer("Microsoft.VSDesigner.Data.VS.DataViewManagerDesigner, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") To be added

Contains a default for each in a .

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class for the specified .

  The name of the to use.
  1.0.5000.0
  2.0.0.0
- Method
  System.Data.DataView `` To be added

  Creates a for the specified .

  A object.

  The name of the to use in the . 1.0.5000.0 2.0.0.0
- Property
  System.Data.DataSet To be added: an object of type 'DataSet' To be added

  Gets or sets the to use with the .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(null)
- Property
  System.String To be added: an object of type 'string'

  A user should not call directly.

  Gets or sets a value that is used for code persistence.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.DataViewSettingCollection To be added: an object of type 'DataViewSettingCollection' To be added

  Gets the for each in the .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Event
  System.ComponentModel.ListChangedEventHandler To be added

  Occurs after a row is added to or deleted from a .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Raises the event.

  A that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Raises a event when a is added to or removed from the .

  The source of the event. A that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Copies the elements of the to an , starting at a particular index.

  The one-dimensional that is the destination of the elements copied from . The must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  1.0.5000.0
  2.0.0.0
  System.Int32 To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Object To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Collections.IEnumerator

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Adds an item to the .

  The position into which the new element was inserted.

  The to add to the .
- Method
  1.0.5000.0
  2.0.0.0
  System.Void

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Determines whether the contains a specific value.

  true if the is found in the ; otherwise, false.

  The to locate in the .
- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Determines the index of a specific item in the .

  The index of if found in the list; otherwise, -1.

  The to locate in the .
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Inserts an item to the at the specified index.

  The zero-based index at which should be inserted. The to insert into the .
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Removes the first occurrence of a specific object from the .

  The to remove from the .
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Removes the item at the specified index.

  The zero-based index of the item to remove.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Adds the to the indexes used for searching.

  The to add to the indexes used for searching.
- Method
  1.0.5000.0
  2.0.0.0
  System.Object

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Sorts the list based on a and a .

  The to sort by. One of the values.
- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns the index of the row that has the given .

  The index of the row that has the given .

  The to search on. The value of the property parameter to search for.
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Removes the from the indexes used for searching.

  The to remove from the indexes used for searching.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Removes any sort applied using .

- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.ListSortDirection To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.PropertyDescriptor To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` To be added. To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.String ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns the name of the list.

  The name of the list.

  An array of objects, for which the list name is returned. This can be null.
- Method
  System.Void `` `` To be added

  Raises a event when a is added to or removed from the .

  The source of the event. A that contains the event data. 1.0.5000.0 2.0.0.0